#Parkour Level

var int rand_music= 0;
var int rand_music_max= 3;
var string now_playing; var string next_tune;
var int kill=0;
var int endtime=0;


func void main (void) {

	env_show 2010 0
	gl_fog_blue=.15
	gl_fog_red=.15
	gl_fog_green=.15
	gl_fog_start=.99
	gs_farclipplane_set 5000
	m3_clear_color=8360097 
	power2_start
		
		
	ui_suppress_prompt = 1
	
	if (save_point eq 1){
		dmsg "First Person Experimental Mode"
		cm_height = 18;
		cm_distance = 1
		cm_canter_unarmed = 1
		}
	
	chr_teleport 0 0
	chr_facetoflag 0 0
	fork RandInit(); sleep 1;
	dmsg ("Your time starts from the moment you leave this platform")	
	dmsg ("If you die, you will restart at the beginning.")	
	fork RandGen();
	fork ArenaMusic();
	enemy1
	obj_create 1
	obj_create 2
	obj_create 3
	obj_create 4
	
	
	
}		


func void enemy1(void)
{

ai2_spawn typhoon
ai2_spawn thug
ai2_spawn thug1
ai2_spawn receptionist
ai2_spawn comguy
ai2_spawn bomber
chr_set_health bomber 5
ai2_spawn barabas
ai2_spawn medstriker
ai2_spawn hardstriker
chr_giveweapon hardstriker w6_vdg
ai2_spawn hardtanker
ai2_spawn copmale
ai2_spawn swat
ai2_spawn guard
ai2_spawn guard1
chr_giveweapon guard1 w3_phr
ai2_spawn sniper
chr_giveweapon sniper w8_mbo
ai2_spawn easyninja
ai2_spawn medninja
ai2_spawn hardninja
ai2_spawn mukade
ai2_spawn lightops
ai2_spawn swatops
ai2_spawn Iron_Demon
chr_giveweapon Iron_Demon w45_IDchg
ai2_spawn hardelite
ai2_spawn muro
ai2_spawn hardfury
dmsg ("Ready... set.. GO!")
}

func void respawn(void)
{
endtime = 1
kill = 0
time = 0
dmsg (" ")
dmsg (" ")
dmsg (" ")
dmsg (" ")
dmsg (" ")
sleep 60
chr_delete thug
chr_delete thug1
chr_delete receptionist
chr_delete comguy
chr_delete bomber
chr_delete barabas
chr_delete medstriker
chr_delete hardstriker
chr_delete hardtanker
chr_delete copmale
chr_delete swat
chr_delete guard
chr_delete guard1
chr_delete sniper
chr_giveweapon sniper w8_mbo
chr_delete easyninja
chr_delete medninja
chr_delete hardninja
chr_delete mukade
chr_delete lightops
chr_delete swatops
chr_delete typhoon
chr_delete Iron_Demon
chr_delete hardelite
chr_delete muro
chr_delete hardfury

chr_invincible 0 1
RandMusic();
dmsg ("Restarting run...")
enemy1
	chr_teleport 0 0
	chr_inv_reset 0
	chr_full_health 0
sleep 2
chr_animate 0 KONCOMsuper_kick
sleep 120
	chr_invincible 0 0
	console_reset 1
	console_reset 2
	door_lock 1
	power2_start
	
	
}


func void start(string player_name)
{
endtime = 0
timeFunc();
}

func void finish(string player_name)
{
endtime = 1
sleep 60
chr_animate 0 KONOKOendpowerup
dmsg ("You survived the course")
kills
sleep 180
save_point_1
}

func void catch(string player_name)
{
chr_set_health 0 0
}

func void change_lights(string ai_name)
{
	sleep 60
	particle lock46_locklight01 do start
}


func void pool(string player_name)
{
    chr_animate(0, KONOKOacid);
    sound_impulse_play konoko_gruesome_death
    sleep 10
    chr_set_health(0, 0);
}


func void ArenaMusic(void) {
	sleep 120; now_playing= next_tune; sound_music_start(now_playing);
	sleep 6000; sound_music_stop(now_playing); fork ArenaMusic();
}

func void RandMusic(void) {
	if(rand_music eq 0) next_tune= mus_main03;
	if(rand_music eq 1) next_tune= mus_pursuit;
	if(rand_music eq 2) next_tune= mus_main02;
	if(rand_music eq 3) next_tune= mus_fiteb;
}

################ RANDOM NUMBER GENERATOR (CORE)
func void RandGen(void) {
	rand_music= rand_music + 1; if(rand_music > rand_music_max) rand_music= 0;
	sleep 1; fork RandGen();
}

func void RandInit(void) {
	now_playing= mus_asian; next_tune= mus_pursuit;
	fork RandGen();
}

func void power2_start(string ai_name)
{
	dprint power2_start
	particle power2 do start
}
func void power2_stop(string ai_name)
{
	dprint power2_stop
	particle power2 do stop
}

func void power_lull_2(string ai_name)
{	
	dprint pipe_discharged
	particle power2 do stop
	timer_start 15 power_lull_2b
}

func void power_lull_2b(void)
{	
	dprint pipe_recharged
	particle power2 do start
}





func void count_death(void)
{
kill = kill + 1;
}


func void kills(void)
{
	if (kill eq 0)
	{
	dmsg ("No enemies were defeated")
	}
	if (kill eq 1)
	{
	dmsg ("1 enemy was defeated")
	}
	if (kill eq 2)
	{
	dmsg ("2 enemies were defeated")
	}
	if (kill eq 3)
	{
	dmsg ("3 enemies were defeated")
	}
	if (kill eq 4)
	{
	dmsg ("4 enemies were defeated")
	}
	if (kill eq 5)
	{
	dmsg ("5 enemies were defeated")
	}
	if (kill eq 6)
	{
	dmsg ("6 enemies were defeated")
	}
	if (kill eq 7)
	{
	dmsg ("7 enemies were defeated")
	}
	if (kill eq 8)
	{
	dmsg ("8 enemies were defeated")
	}
	if (kill eq 9)
	{
	dmsg ("9 enemies were defeated")
	}
	if (kill eq 10)
	{
	dmsg ("10 enemies were defeated")
	}
	if (kill eq 11)
	{
	dmsg ("11 enemies were defeated")
	}
	if (kill eq 12)
	{
	dmsg ("12 enemies were defeated")
	}
	if (kill eq 13)
	{
	dmsg ("13 enemies were defeated")
	}
	if (kill eq 14)
	{
	dmsg ("14 enemies were defeated")
	}
	if (kill eq 15)
	{
	dmsg ("15 enemies were defeated")
	}
	if (kill eq 16)
	{
	dmsg ("16 enemies were defeated")
	}
	if (kill eq 17)
	{
	dmsg ("17 enemies were defeated")
	}
	if (kill eq 18)
	{
	dmsg ("18 enemies were defeated")
	}
	if (kill eq 19)
	{
	dmsg ("19 enemies were defeated")
	}
	if (kill eq 20)
	{
	dmsg ("20 enemies were defeated")
	}
	if (kill eq 21)
	{
	dmsg ("21 enemies were defeated")
	}
	if (kill eq 22)
	{
	dmsg ("22 enemies were defeated")
	}
	if (kill eq 23)
	{
	dmsg ("23 enemies were defeated")
	}
	if (kill eq 24)
	{
	dmsg ("24 enemies were defeated")
	}
	if (kill eq 25)
	{
	dmsg ("25 enemies were defeated")
	}
	if (kill eq 26)
	{
	dmsg ("26 enemies were defeated")
	}
	if (kill eq 27)
	{
	dmsg ("27 enemies were defeated")
	}
	if (kill eq 28)
	{
	dmsg ("28 enemies were defeated")
	}
	if (kill eq 29)
	{
	dmsg ("29 enemies were defeated")
	}
	if (kill eq 30)
	{
	dmsg ("30 enemies were defeated")
	}
	if (kill eq 31)
	{
	dmsg ("31 enemies were defeated")
	}
	if (kill eq 32)
	{
	dmsg ("32 enemies were defeated")
	}
	if (kill eq 33)
	{
	dmsg ("33 enemies were defeated")
	}
	if (kill eq 34)
	{
	dmsg ("34 enemies were defeated")
	}
	if (kill eq 35)
	{
	dmsg ("35 enemies were defeated")
	}
	if (kill eq 36)
	{
	dmsg ("36 enemies were defeated")
	}
	if (kill eq 37)
	{
	dmsg ("37 enemies were defeated")
	}
	if (kill eq 38)
	{
	dmsg ("38 enemies were defeated")
	}
}
				
		
	func void save_point_1(string player_name)
{
	if (save_point ne 1)
		{
		dmsg "Save point 1" 
		save_game 1 autosave
		}
}

		
		
		
		

		
		
		
		
				
		
		
	
		
		
		
		
		
		
		
		
			
		
		

		
	

	
